<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<style type="text/css">
	body{
		margin :0;
		display: flex;
		justify-content: center;
		align-items: center;
		height:100vh;
		width:100vw;
	}
	.menu{
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		width:20vw;
		position: relative;
	}
	.menu>span{
		height:2vh;
		margin:2vh 0;
		color:coral;
		z-index: 1;
		text-align: center;
		cursor:pointer;
	}
	.menu>span.move{
		z-index: 0;
		height:6vh;
		background:rgba(0,0,0,0.5);
		transition: .3s;
		position:absolute;
		border-radius: 50px;
		top:0;
		width:90%;
		margin:0;
	}

</style>
<body>
<div class="menu">
	<span onclick="move(0)">Home</span>
	<span onclick="move(100)">About</span>
	<span onclick="move(200)">Services</span>
	<span onclick="move(300)">Contact</span>
	<span class="move" id="move"></span>
</div>
</body>
<script type="text/javascript">
	function move(a){
		document.getElementById('move').style.transform= 'translateY('+ a+ '%)'; 

	}
</script>
</html>